Rank History
Returns rank position history with scores over a time window. Only includes timestamps where the project was in the top 100. Default period is the last 7 days.
Path Parameters
id*string
The project ID
Query Parameters
start?string
Start timestamp (ISO 8601 format). Defaults to 7 days ago.
Format
date-timeend?string
End timestamp (ISO 8601 format). Defaults to now.
Format
date-timeat?string
Historical anchor timestamp (ISO 8601). Sets the end of the rank time window. Only available for authenticated requests. Must be in the past.
Format
date-timeResponse Body
application/json
curl -X GET "https://api.aixbt.tech/v2/projects/string/rank"{
"status": 200,
"meta": {
"upgrade": {
"description": "string",
"protocol": "x402",
"payment": "USDC on Base",
"options": [
{
"period": "1 day",
"price": "$10",
"method": "POST",
"url": "https://api.aixbt.tech/x402/v2/api-keys/1d"
}
]
}
},
"error": "",
"data": {
"projectId": "507f1f77bcf86cd799439011",
"projectName": "ethereum",
"data": [
{
"timestamp": "2026-03-30T12:00:00.000Z",
"rank": 3,
"score": 0.85
}
]
}
}Empty
Empty
Empty
Empty
Empty